View Issue Details

IDCategoryLast Update
0008207bugs2020-08-04 12:25
Reportermantis_n1oifAssigned Tox42 
Reproducibilityrandom 
Status closedResolutionfixed 
PlatformSome Other LinuxOSSome Other LinuxOS Versionunknown
Product Version6.0 
Fixed in Version 
Summary0008207: Crash on ctrl+z to undo automation point
DescriptionAdded GxAxisFace plugin to an audio track. Created a couple of automation points, then tried to undo one of them. Crash.

I had saved the session just prior and got the stack trace crash below when trying to open it again.

Then I did "-d" and was able to open the session.

Tried to open the session normally and it did.
Steps To ReproduceCreated a couple of automation points, then tried to undo one of them. I do this a lot, though, and it has been working fine on 0.59. Not entirely sure how to reproduce.
Additional Informationardour-6.0.59: /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp:734: typename boost::detail::sp_member_access<T>::type boost::shared_ptr<T>::operator->() const [with T = AutomationTimeAxisView; typename boost::detail::sp_member_access<T>::type = AutomationTimeAxisView*]: Assertion `px != 0' failed.
--Type <RET> for more, q to quit, c to continue without paging--c

Thread 1 "ArdourGUI" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
50 ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.
(gdb) thread apply all bt

Thread 43 (Thread 0x7fff80b5f700 (LWP 69318)):
#0 0x00007fffece49361 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fff80b5ebb0, rem=0x7fff80b5ebc0) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
0000001 0x00007fffece4eeb7 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2 0x00007ffff3174a38 in g_usleep () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff6b6bbe4 in ARDOUR::AutomationWatch::thread (this=0x555563cd6920) at ../libs/ardour/automation_watch.cc:195
0000004 0x00007ffff6b71427 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x55555949c050, p=0x555563cd6920) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
0000005 0x00007ffff6b7106c in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x55555949c060, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#6 0x00007ffff6b7078d in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x55555949c050) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#7 0x00007ffff6b7070e in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x55555949c050) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000008 0x00007ffff6b6ff6c in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x55555949c020) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000009 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000010 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000011 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000012 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7fff81360700 (LWP 69317)):
#0 futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55555a1b5e48) at ../sysdeps/nptl/futex-internal.h:183
0000001 __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555a1b5df8, cond=0x55555a1b5e20) at pthread_cond_wait.c:508
#2 __pthread_cond_wait (cond=0x55555a1b5e20, mutex=0x55555a1b5df8) at pthread_cond_wait.c:638
#3 0x00007ffff715f2be in ARDOUR::Session::auto_connect_thread_run (this=0x55555a1b4000) at ../libs/ardour/session.cc:7039
0000004 0x00007ffff715efd4 in ARDOUR::Session::auto_connect_thread (arg=0x55555a1b4000) at ../libs/ardour/session.cc:6983
0000005 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7fff81b61700 (LWP 69316)):
#0 futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55555a1b5dd8) at ../sysdeps/nptl/futex-internal.h:183
0000001 __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555a1b5d88, cond=0x55555a1b5db0) at pthread_cond_wait.c:508
#2 __pthread_cond_wait (cond=0x55555a1b5db0, mutex=0x55555a1b5d88) at pthread_cond_wait.c:638
#3 0x00007ffff71d7f03 in ARDOUR::Session::emit_thread_run (this=0x55555a1b4000) at ../libs/ardour/session_process.cc:1110
0000004 0x00007ffff71d7ea0 in ARDOUR::Session::emit_thread (arg=0x55555a1b4000) at ../libs/ardour/session_process.cc:1099
0000005 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7fff82362700 (LWP 69315)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x5555636e5f60) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x5555636e5f60, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x5555636e5f60, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x5555636e5f60) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff72cb704 in ARDOUR::Worker::run (this=0x5555636e5f40) at ../libs/ardour/worker.cc:146
0000005 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x5555636fe148) at /home/ardour/linux-x86_64-v5/g--Type <RET> for more, q to quit, c to continue without paging--c
tk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x5555636fe140) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x5555636fe110) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7fff82b63700 (LWP 69314)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x5555632504a0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x5555632504a0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x5555632504a0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x5555632504a0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff72cb704 in ARDOUR::Worker::run (this=0x555563250480) at ../libs/ardour/worker.cc:146
0000005 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x555563268688) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x555563268680) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x555563268650) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 38 (Thread 0x7fff837fe700 (LWP 69312)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555987aad0) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555987aad0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x55555987aad0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x55555987aad0) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff72cb704 in ARDOUR::Worker::run (this=0x55555987aab0) at ../libs/ardour/worker.cc:146
0000005 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x55555987aba8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x55555987aba0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x55555987ab70) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 37 (Thread 0x7fff83fff700 (LWP 69311)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555559b25620) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x555559b25620, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x555559b25620, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x555559b25620) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff72cb704 in ARDOUR::Worker::run (this=0x555559b25600) at ../libs/ardour/worker.cc:146
0000005 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x55555ae546e8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x55555ae546e0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x55555ae546b0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 36 (Thread 0x7fffc8beb700 (LWP 69310)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555558db0930) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x555558db0930, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x555558db0930, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x555558db0930) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff72cb704 in ARDOUR::Worker::run (this=0x555558db0910) at ../libs/ardour/worker.cc:146
0000005 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x555558dc8b48) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x555558dc8b40) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x555558dc8b10) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 35 (Thread 0x7fffcacb7700 (LWP 69309)):
#0 0x00007fffece8497b in mprotect () at ../sysdeps/unix/syscall-template.S:78
0000001 0x00007fffece03832 in grow_heap (diff=4096, h=0x7fff84000000) at arena.c:543
#2 sysmalloc (nb=nb@entry=48, av=av@entry=0x7fff84000020) at malloc.c:2397
#3 0x00007fffece04913 in _int_malloc (av=av@entry=0x7fff84000020, bytes=bytes@entry=32) at malloc.c:4141
0000004 0x00007fffece06419 in __GI___libc_malloc (bytes=32) at malloc.c:3066
0000005 0x00007fffacd69f92 in fluid_alloc (len=32) at ../libs/fluidsynth/src/fluid_sys.c:197
#6 0x00007fffacd728ba in fluid_preset_zone_create_voice_zones (preset_zone=0x7fff844d18c0) at ../libs/fluidsynth/src/fluid_defsfont.c:1214
#7 0x00007fffacd730dc in fluid_preset_zone_import_sfont (zone=0x7fff844d18c0, sfzone=0x7fff8400b0b0, defsfont=0x7fff84000ba0) at ../libs/fluidsynth/src/fluid_defsfont.c:1626
0000008 0x00007fffacd724f8 in fluid_defpreset_import_sfont (defpreset=0x7fff844d1030, sfpreset=0x7fff840032d0, defsfont=0x7fff84000ba0) at ../libs/fluidsynth/src/fluid_defsfont.c:1036
0000009 0x00007fffacd71b2b in fluid_defsfont_load (defsfont=0x7fff84000ba0, fcbs=0x555559f7a1f8, file=0x555559f4763c "/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today/plugins/461/state7/FluidR3_GM.sf2") at ../libs/fluidsynth/src/fluid_defsfont.c:509
0000010 0x00007fffacd7110c in fluid_defsfloader_load (loader=0x555559f7a1f0, filename=0x555559f4763c "/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today/plugins/461/state7/FluidR3_GM.sf2") at ../libs/fluidsynth/src/fluid_defsfont.c:105
0000011 0x00007fffacd5d323 in fluid_synth_sfload (synth=0x555557089680, filename=0x555559f4763c "/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today/plugins/461/state7/FluidR3_GM.sf2", reset_presets=1) at ../libs/fluidsynth/src/fluid_synth.c:4618
0000012 0x00007fffacd4e2db in load_sf2 (self=0x555559f47010, fn=0x555559f4763c "/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today/plugins/461/state7/FluidR3_GM.sf2") at ../libs/plugins/a-fluidsynth.lv2/a-fluidsynth.cc:169
0000013 0x00007fffacd4feff in work (instance=0x555559f47010, respond=0x7ffff72cda45 <work_respond(LV2_Worker_Respond_Handle, uint32_t, void const*)>, handle=0x555559f49270, size=4, data=0x7fff84000b80) at ../libs/plugins/a-fluidsynth.lv2/a-fluidsynth.cc:651
0000014 0x00007ffff72d769e in ARDOUR::LV2Plugin::work (this=0x555559f18ab0, worker=..., size=4, data=0x7fff84000b80) at ../libs/ardour/lv2_plugin.cc:2117
#15 0x00007ffff72cb91c in ARDOUR::Worker::run (this=0x555559f49270) at ../libs/ardour/worker.cc:187
0000016 0x00007ffff72cc6f6 in sigc::bound_mem_functor0<void, ARDOUR::Worker>::operator() (this=0x555559f4b288) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#17 0x00007ffff72cc63e in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ARDOUR::Worker> >::operator() (this=0x555559f4b280) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000018 0x00007ffff72cc515 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ARDOUR::Worker>, void>::call_it (rep=0x555559f4b250) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000019 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000020 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000021 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000022 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 34 (Thread 0x7fffaeffd700 (LWP 69308)):
#0 0x00007fffece7e96f in __GI___poll (fds=0x7fff9017a810, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff3143d66 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff31440f2 in g_main_loop_run () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff437e736 in BaseUI::main_thread (this=0x55555a1a9d10) at ../libs/pbd/base_ui.cc:98
0000004 0x00007ffff4382858 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x555559d18fa8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
0000005 0x00007ffff4382498 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x555559d18fa0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x00007ffff4381ed9 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x555559d18f70) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000008 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000009 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000010 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7fffc951d700 (LWP 69307)):
#0 0x00007fffece7e96f in __GI___poll (fds=0x7fffc951c328, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff4394598 in CrossThreadChannel::poll_for_request (this=0x555558379e18) at ../libs/pbd/crossthread.posix.cc:102
#2 0x00007ffff4394601 in CrossThreadChannel::receive (this=0x555558379e18, msg=@0x7fffc951c3ef: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:123
#3 0x00007ffff6b8171e in ARDOUR::Butler::thread_work (this=0x555558379d80) at ../libs/ardour/butler.cc:172
0000004 0x00007ffff6b8149f in ARDOUR::Butler::_thread_work (arg=0x555558379d80) at ../libs/ardour/butler.cc:153
0000005 0x00007ffff43b7648 in fake_thread_start (arg=0x555559d18780) at ../libs/pbd/pthread_utils.cc:107
#6 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fffc953e700 (LWP 69306)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555558091298) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x555558091298, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x555558091298, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x555558091298) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff6c9b8ac in ARDOUR::Graph::reached_terminal_node (this=0x5555580911c0) at ../libs/ardour/graph.cc:301
0000005 0x00007ffff6ca3639 in ARDOUR::GraphNode::finish (this=0x55555a91e5c8, chain=1) at ../libs/ardour/graphnode.cc:73
#6 0x00007ffff6c9edea in ARDOUR::GraphNode::run (this=0x55555a91e5c8, chain=1) at ../libs/ardour/ardour/graphnode.h:63
#7 0x00007ffff6c9c68a in ARDOUR::Graph::run_one (this=0x5555580911c0) at ../libs/ardour/graph.cc:442
0000008 0x00007ffff6c9c9d4 in ARDOUR::Graph::helper_thread (this=0x5555580911c0) at ../libs/ardour/graph.cc:470
0000009 0x00007ffff6ca2f71 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc953dcf8, p=0x5555580911c0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
0000010 0x00007ffff6ca2726 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc953dd08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
0000011 0x00007ffff6ca1b83 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc953dcf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
0000012 0x00007ffff6ca1427 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
0000013 0x0000555555b8ce8c in boost::function0<void>::operator() (this=0x7fffc953dcf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
0000014 0x00007fffd431e08b in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x55555af298b0) at ../libs/backends/alsa/alsa_audiobackend.cc:1141
#15 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000016 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7fffc955f700 (LWP 69305)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555558091270) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x555558091270, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x555558091270, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x555558091270) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff6c9c51c in ARDOUR::Graph::run_one (this=0x5555580911c0) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff6c9c9d4 in ARDOUR::Graph::helper_thread (this=0x5555580911c0) at ../libs/ardour/graph.cc:470
#6 0x00007ffff6ca2f71 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc955ecf8, p=0x5555580911c0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff6ca2726 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc955ed08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
0000008 0x00007ffff6ca1b83 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc955ecf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff6ca1427 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
0000010 0x0000555555b8ce8c in boost::function0<void>::operator() (this=0x7fffc955ecf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
0000011 0x00007fffd431e08b in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x555557c7f640) at ../libs/backends/alsa/alsa_audiobackend.cc:1141
0000012 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 30 (Thread 0x7fffc9580700 (LWP 69304)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555558091270) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x555558091270, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x555558091270, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x555558091270) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff6c9c51c in ARDOUR::Graph::run_one (this=0x5555580911c0) at ../libs/ardour/graph.cc:426
0000005 0x00007ffff6c9cdb6 in ARDOUR::Graph::main_thread (this=0x5555580911c0) at ../libs/ardour/graph.cc:523
#6 0x00007ffff6ca2f71 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc957fcf8, p=0x5555580911c0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#7 0x00007ffff6ca2726 in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc957fd08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
0000008 0x00007ffff6ca1b83 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc957fcf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
0000009 0x00007ffff6ca1427 in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
0000010 0x0000555555b8ce8c in boost::function0<void>::operator() (this=0x7fffc957fcf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
0000011 0x00007fffd431e08b in ARDOUR::AlsaAudioBackend::alsa_process_thread (arg=0x555558ae78d0) at ../libs/backends/alsa/alsa_audiobackend.cc:1141
0000012 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000013 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7fffc9589700 (LWP 69303)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555a1a4220) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x55555a1a4220) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff712273b in ARDOUR::RTTaskList::run (this=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:114
0000005 0x00007ffff7122502 in ARDOUR::RTTaskList::_thread_run (arg=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:69
#6 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7fffc9592700 (LWP 69302)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555a1a4220) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x55555a1a4220) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff712273b in ARDOUR::RTTaskList::run (this=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:114
0000005 0x00007ffff7122502 in ARDOUR::RTTaskList::_thread_run (arg=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:69
#6 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7fffc959b700 (LWP 69301)):
#0 futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555a1a4220) at ../sysdeps/nptl/futex-internal.h:320
0000001 do_futex_wait (sem=sem@entry=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2 0x00007fffef26a4e8 in __new_sem_wait_slow (sem=0x55555a1a4220, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3 0x00007ffff6c9ed80 in PBD::Semaphore::wait (this=0x55555a1a4220) at ../libs/pbd/pbd/semutils.h:64
0000004 0x00007ffff712273b in ARDOUR::RTTaskList::run (this=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:114
0000005 0x00007ffff7122502 in ARDOUR::RTTaskList::_thread_run (arg=0x55555a1a41f0) at ../libs/ardour/rt_tasklist.cc:69
#6 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7fffaffff700 (LWP 69294)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194f61 in g_cond_wait_until () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff310f3fb in g_async_queue_timeout_pop () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff3173a14 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000004 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000005 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fffaf7fe700 (LWP 69293)):
#0 0x00007fffece7e96f in __GI___poll (fds=0x7fff9c0029d0, nfds=1, timeout=200) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007fffd431ef5e in ARDOUR::AlsaAudioBackend::midi_device_thread (this=0x5555576a0000) at ../libs/backends/alsa/alsa_audiobackend.cc:1341
#2 0x00007fffd431edf6 in ARDOUR::AlsaAudioBackend::_midi_device_thread (arg=0x5555576a0000) at ../libs/backends/alsa/alsa_audiobackend.cc:1304
#3 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000004 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fffc9bea700 (LWP 69292)):
#0 0x00007fffece7ea66 in __ppoll (fds=0x55555738908c, nfds=1, timeout=<optimized out>, sigmask=0x0) at ../sysdeps/unix/sysv/linux/ppoll.c:44
0000001 0x00007fffd434d290 in Alsa_pcmi::pcm_wait (this=0x555557389000) at ../libs/backends/alsa/zita-alsa-pcmi.cc:185
#2 0x00007fffd432178e in ARDOUR::AlsaAudioBackend::main_process_thread (this=0x5555576a0000) at ../libs/backends/alsa/alsa_audiobackend.cc:1794
#3 0x00007fffd431bc93 in pthread_process (arg=0x5555576a0000) at ../libs/backends/alsa/alsa_audiobackend.cc:757
0000004 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000005 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fffc93ec700 (LWP 69291)):
#0 0x00007fffece80f9b in __GI___select (nfds=1, readfds=0x7fffc93e9c00, writefds=0x0, exceptfds=0x0, timeout=0x7fffc93e9c80) at ../sysdeps/unix/sysv/linux/select.c:41
0000001 0x00007ffff43cddf6 in PBD::SystemExec::output_interposer (this=0x55555741a0c0) at ../libs/pbd/system_exec.cc:995
#2 0x00007ffff43ccf36 in interposer_thread (arg=0x55555741a0c0) at ../libs/pbd/system_exec.cc:375
#3 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000004 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fffca462700 (LWP 69282)):
#0 0x00007fffece7e96f in __GI___poll (fds=0x55555736a350, nfds=2, timeout=5162) at ../sysdeps/unix/sysv/linux/poll.c:29
0000001 0x00007ffff3143d66 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff3143e7c in g_main_context_iteration () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#3 0x00007ffff3143ec1 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000004 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000005 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fffd543c700 (LWP 69278)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194e4c in g_cond_wait () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff6b1228f in ARDOUR::AudioEngine::do_devicelist_update (this=0x5555574b7cc0) at ../libs/ardour/audioengine.cc:687
#3 0x00007ffff6b1f2a9 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x555557774700, p=0x5555574b7cc0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
0000004 0x00007ffff6b1ecd8 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x555557774710, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
0000005 0x00007ffff6b1e415 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x555557774700) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#6 0x00007ffff6b1dc14 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x555557774700) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff6b1cdd2 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5555577746d0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fffd6519700 (LWP 69277)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194e4c in g_cond_wait () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff6b12056 in ARDOUR::AudioEngine::do_reset_backend (this=0x5555574b7cc0) at ../libs/ardour/audioengine.cc:651
#3 0x00007ffff6b1f2a9 in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x5555574be4e0, p=0x5555574b7cc0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
0000004 0x00007ffff6b1ecd8 in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x5555574be4f0, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
0000005 0x00007ffff6b1e415 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x5555574be4e0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#6 0x00007ffff6b1dc14 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x5555574be4e0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7 0x00007ffff6b1cdd2 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5555574be4b0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
0000008 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000009 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000010 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000011 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffe6829700 (LWP 69272)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194e4c in g_cond_wait () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff6ac6046 in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:93
#3 0x00007ffff6ac5e32 in analyser_work () at ../libs/ardour/analyser.cc:58
0000004 0x000055555640907f in sigc::pointer_functor0<void>::operator() (this=0x55555717c2a8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000005 0x00005555564061b2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x55555717c2a0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6 0x000055555640203b in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x55555717c270) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
0000008 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000009 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000010 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffe702a700 (LWP 69271)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194e4c in g_cond_wait () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff726820a in peak_thread_work () at ../libs/ardour/source_factory.cc:74
#3 0x000055555640907f in sigc::pointer_functor0<void>::operator() (this=0x555557178778) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x00005555564061b2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x555557178770) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000005 0x000055555640203b in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x555557178740) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
#7 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000008 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000009 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffe782b700 (LWP 69270)):
#0 syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
0000001 0x00007ffff3194e4c in g_cond_wait () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#2 0x00007ffff726820a in peak_thread_work () at ../libs/ardour/source_factory.cc:74
#3 0x000055555640907f in sigc::pointer_functor0<void>::operator() (this=0x55555717c448) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
0000004 0x00005555564061b2 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x55555717c440) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
0000005 0x000055555640203b in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x55555717c410) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6 0x00007ffff36ddc4d in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglibmm-2.4.so.1
#7 0x00007ffff31731e5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000008 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000009 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffe802c700 (LWP 69269)):
#0 0x00007fffece49361 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fffe802bbf0, rem=0x7fffe802bc00) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
0000001 0x00007fffece4eeb7 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2 0x00007ffff3174a38 in g_usleep () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
#3 0x0000555556782f94 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:463
0000004 0x00007fffef260609 in start_thread (arg=<optimized out>) at pthread_create.c:477
0000005 0x00007fffece8b103 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fffe8ee3d40 (LWP 69264)):
#0 __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
0000001 0x00007fffecd8e859 in __GI_abort () at abort.c:79
#2 0x00007fffecd8e729 in __assert_fail_base (fmt=0x7fffecf24588 "%s%s%s:%u: %s%sAssertion `%s' failed.\n%n", assertion=0x55555679c3a5 "px != 0", file=0x55555679c358 "/home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp", line=734, function=<optimized out>) at assert.c:92
#3 0x00007fffecd9ff36 in __GI___assert_fail (assertion=0x55555679c3a5 "px != 0", file=0x55555679c358 "/home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp", line=734, function=0x55555679c5c0 <boost::shared_ptr<AutomationTimeAxisView>::operator->() const::__PRETTY_FUNCTION__> "typename boost::detail::sp_member_access<T>::type boost::shared_ptr<T>::operator->() const [with T = AutomationTimeAxisView; typename boost::detail::sp_member_access<T>::type = AutomationTimeAxisView*"...) at assert.c:101
0000004 0x0000555555c8e3bd in boost::shared_ptr<AutomationTimeAxisView>::operator-> (this=0x7fffffff9580) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp:734
0000005 0x000055555652d541 in RouteTimeAxisView::automation_child_by_alist_id (this=0x5555649fcca0, alist_id=...) at ../gtk2_ardour/route_time_axis.cc:2775
#6 0x0000555556572fe0 in Selection::set_state (this=0x55555807aa00, node=...) at ../gtk2_ardour/selection.cc:1251
#7 0x0000555555d29808 in Editor::set_state (this=0x55555ada26b0, node=..., version=6000) at ../gtk2_ardour/editor.cc:2505
0000008 0x0000555555d1d803 in Editor::set_session (this=0x55555ada26b0, t=0x55555a1b4000) at ../gtk2_ardour/editor.cc:1383
0000009 0x0000555555bed4d6 in ARDOUR_UI::connect_dependents_to_session (this=0x555557533430, s=0x55555a1b4000) at ../gtk2_ardour/ardour_ui_dependents.cc:138
0000010 0x0000555555bf486c in ARDOUR_UI::set_session (this=0x555557533430, s=0x55555a1b4000) at ../gtk2_ardour/ardour_ui_dialogs.cc:221
0000011 0x0000555555c2e96f in ARDOUR_UI::load_session_stage_two (this=0x555557533430, path="/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today", snap_name="smashing_pumpkins-today", mix_template="") at ../gtk2_ardour/ardour_ui_session.cc:515
0000012 0x0000555555c2dfe7 in ARDOUR_UI::load_session (this=0x555557533430, path="/home/cyrus/Desktop/thingamagig-sessions/smashing_pumpkins-today", snap_name="smashing_pumpkins-today", mix_template="") at ../gtk2_ardour/ardour_ui_session.cc:362
0000013 0x0000555555c3e190 in ARDOUR_UI::load_session_from_startup_fsm (this=0x555557533430) at ../gtk2_ardour/ardour_ui_startup.cc:556
0000014 0x0000555555c3dc2f in ARDOUR_UI::sfsm_response (this=0x555557533430, r=StartupFSM::LoadSession) at ../gtk2_ardour/ardour_ui_startup.cc:473
#15 0x0000555555c4127a in sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result>::operator() (this=0x5555575c6b38, _A_a1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
0000016 0x0000555555c41049 in sigc::adaptor_functor<sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result> >::operator()<StartupFSM::Result const&> (this=0x5555575c6b30, _A_arg1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
#17 0x0000555555c40c5a in sigc::internal::slot_call1<sigc::bound_mem_functor1<void, ARDOUR_UI, StartupFSM::Result>, void, StartupFSM::Result>::call_it (rep=0x5555575c6b00, a_1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
0000018 0x00005555566158e8 in sigc::internal::signal_emit1<void, StartupFSM::Result, sigc::nil>::emit (impl=0x5555572d0090, _A_a1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:1006
0000019 0x000055555661519d in sigc::signal1<void, StartupFSM::Result, sigc::nil>::emit (this=0x5555575de7b0, _A_a1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2797
0000020 0x0000555556614a05 in sigc::signal1<void, StartupFSM::Result, sigc::nil>::operator() (this=0x5555575de7b0, _A_a1=@0x7fffffffb97c: StartupFSM::LoadSession) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/signal.h:2805
0000021 0x0000555556610f9d in StartupFSM::dialog_response_handler (this=0x5555575de700, response=-5, dialog_id=StartupFSM::PluginDialog) at ../gtk2_ardour/startup_fsm.cc:317
0000022 0x00005555566175c1 in sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>::operator() (this=0x5555573b08e0, _A_a1=@0x7fffffffba9c: -5, _A_a2=@0x5555573b0900: StartupFSM::PluginDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1927
0000023 0x0000555556617051 in sigc::adaptor_functor<sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID> >::operator()<int const&, StartupFSM::DialogID&> (this=0x5555573b08d8, _A_arg1=@0x7fffffffba9c: -5, _A_arg2=@0x5555573b0900: StartupFSM::PluginDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:108
#24 0x0000555556616a48 in sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<int const&> (this=0x5555573b08d0, _A_arg1=@0x7fffffffba9c: -5) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/bind.h:1135
0000025 0x0000555556616374 in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void, int>::call_it (rep=0x5555573b08a0, a_1=@0x7fffffffba9c: -5) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
0000026 0x00007ffff08935f5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgtkmm-2.4.so.1
0000027 0x00007ffff3452945 in g_closure_invoke () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000028 0x00007ffff346401b in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000029 0x00007ffff346dc30 in g_signal_emit_valist () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000030 0x00007ffff346e082 in g_signal_emit () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000031 0x00007ffff269280c in gtk_dialog_response () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000032 0x00005555566120f7 in StartupFSM::engine_running (this=0x5555575de700) at ../gtk2_ardour/startup_fsm.cc:511
0000033 0x0000555556611db0 in StartupFSM::start_audio_midi_setup (this=0x5555575de700) at ../gtk2_ardour/startup_fsm.cc:469
0000034 0x0000555556610dfb in StartupFSM::dialog_response_handler (this=0x5555575de700, response=-3, dialog_id=StartupFSM::NewSessionDialog) at ../gtk2_ardour/startup_fsm.cc:255
0000035 0x00005555566175c1 in sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>::operator() (this=0x5555574010a0, _A_a1=@0x7fffffffc37c: -3, _A_a2=@0x5555574010c0: StartupFSM::NewSessionDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1927
0000036 0x0000555556617051 in sigc::adaptor_functor<sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID> >::operator()<int const&, StartupFSM::DialogID&> (this=0x555557401098, _A_arg1=@0x7fffffffc37c: -3, _A_arg2=@0x5555574010c0: StartupFSM::NewSessionDialog) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:108
0000037 0x0000555556616a48 in sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>::operator()<int const&> (this=0x555557401090, _A_arg1=@0x7fffffffc37c: -3) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/bind.h:1135
0000038 0x0000555556616374 in sigc::internal::slot_call1<sigc::bind_functor<-1, sigc::bound_mem_functor2<void, StartupFSM, int, StartupFSM::DialogID>, StartupFSM::DialogID, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil, sigc::nil>, void, int>::call_it (rep=0x555557401060, a_1=@0x7fffffffc37c: -3) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
0000039 0x00007ffff08935f5 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgtkmm-2.4.so.1
0000040 0x00007ffff3452945 in g_closure_invoke () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000041 0x00007ffff346401b in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000042 0x00007ffff346dc30 in g_signal_emit_valist () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000043 0x00007ffff346e082 in g_signal_emit () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000044 0x00007ffff269280c in gtk_dialog_response () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000045 0x000055555658d92c in SessionDialog::open_button_pressed (this=0x55555734f7e0, ev=0x5555573b1900) at ../gtk2_ardour/session_dialog.cc:540
0000046 0x000055555659765e in sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*>::operator() (this=0x5555579b1438, _A_a1=@0x7fffffffc898: 0x5555573b1900) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1856
0000047 0x0000555556595d5f in sigc::adaptor_functor<sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*> >::operator()<_GdkEventButton* const&> (this=0x5555579b1430, _A_arg1=@0x7fffffffc898: 0x5555573b1900) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89
0000048 0x0000555556594c26 in sigc::internal::slot_call1<sigc::bound_mem_functor1<bool, SessionDialog, _GdkEventButton*>, bool, _GdkEventButton*>::call_it (rep=0x5555579b1400, a_1=@0x7fffffffc898: 0x5555573b1900) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:137
0000049 0x00007ffff0918a9b in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgtkmm-2.4.so.1
0000050 0x00007ffff2736cac in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000051 0x00007ffff3452945 in g_closure_invoke () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000052 0x00007ffff3463bf2 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000053 0x00007ffff346d69b in g_signal_emit_valist () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000054 0x00007ffff346e082 in g_signal_emit () from /opt/Ardour-6.0.59-dbg/lib/libgobject-2.0.so.0
0000055 0x00007ffff28bb64c in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000056 0x00007ffff273529d in gtk_propagate_event () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000057 0x00007ffff2735723 in gtk_main_do_event () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000058 0x00007ffff2351b5c in ?? () from /opt/Ardour-6.0.59-dbg/lib/libgdk-x11-2.0.so.0
0000059 0x00007ffff3143b67 in g_main_context_dispatch () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000060 0x00007ffff3143dd0 in ?? () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000061 0x00007ffff31440f2 in g_main_loop_run () from /opt/Ardour-6.0.59-dbg/lib/libglib-2.0.so.0
0000062 0x00007ffff27343e7 in gtk_main () from /opt/Ardour-6.0.59-dbg/lib/libgtk-x11-2.0.so.0
0000063 0x00007ffff475f33e in Gtkmm2ext::UI::run (this=0x555557533430, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:293
0000064 0x000055555613b37c in main (argc=1, argv=0x7fffffffd3c8) at ../gtk2_ardour/main.cc:437
TagsNo tags attached.

Activities

mantis_n1oif

2020-06-05 12:34

reporter   ~0024401

Can confirm that opening the session with "-d", closing it, then opening it normally seems to be a reliable workaround.

mantis_n1oif

2020-06-05 17:14

reporter   ~0024406

Yeah I'm still getting this one on ctrl-z of automation points. But also on ctrl-z of midi notes.

x42

2020-06-06 00:11

administrator   ~0024412

That should also be fixed now in 6.0-65-gd366b49447

mantis_n1oif

2020-06-27 19:56

reporter   ~0024517

Haven't seen this one in a while and I definitely would have experienced it again if it were still a problem. I think you can close.

x42

2020-06-27 20:47

administrator   ~0024519

Last edited: 2020-06-27 20:48

View 2 revisions

fixed in 6.0-65-gd366b49447

anonymous

2020-08-04 12:25

viewer   ~0024887

Issue has been closed automatically, by Trigger Close Plugin.
Feel free to re-open with additional information if you think the issue is not resolved.

Issue History

Date Modified Username Field Change
2020-06-05 12:24 mantis_n1oif New Issue
2020-06-05 12:34 mantis_n1oif Note Added: 0024401
2020-06-05 17:14 mantis_n1oif Note Added: 0024406
2020-06-06 00:11 x42 Assigned To => x42
2020-06-06 00:11 x42 Status new => feedback
2020-06-06 00:11 x42 Note Added: 0024412
2020-06-27 19:56 mantis_n1oif Note Added: 0024517
2020-06-27 19:56 mantis_n1oif Status feedback => assigned
2020-06-27 20:47 x42 Status assigned => resolved
2020-06-27 20:47 x42 Resolution open => fixed
2020-06-27 20:47 x42 Note Added: 0024519
2020-06-27 20:48 x42 Note Edited: 0024519 View Revisions
2020-08-04 12:25 anonymous Note Added: 0024887
2020-08-04 12:25 anonymous Status resolved => closed